@set "pvbroot=G:\VIRTUALBOX-TESTS\Portable-VirtualBox 5.0.15"
@%pvbroot:~0,1%:
@cd %pvbroot%
@set Arch=x64
@if "%PROCESSOR_ARCHITECTURE%" == "x86" ( 
    if not defined PROCESSOR_ARCHITEW6432 set Arch=x86
)
@if "%Arch%"=="x86" (
set bit=x86
set vbdir=app32
) else (
set bit=x64
set vbdir=app64
)
@rem
@sc query vboxnetadp>nul
@if not errorlevel 1 "%pvbroot%\data\tools\devcon_%bit%.exe" remove "sun_VBoxNetAdp"
@if EXIST "%SystemRoot%\System32\Drivers\VBoxNetAdp6.sys" del "%SystemRoot%\System32\Drivers\VBoxNetAdp6.sys"
@sc query vboxnetadp>nul
@if not errorlevel 1 sc stop VBoxNetAdp
@sc query vboxnetadp>nul
@if not errorlevel 1 sc delete VBoxNetAdp
@sc query vboxnetlwf>nul
@if not errorlevel 1 (
"%pvbroot%\data\tools\snetcfg_%bit%.exe" -v -u oracle_VBoxNetLwf
) else (
"%pvbroot%\data\tools\snetcfg_%bit%.exe" -u oracle_VBoxNetLwf
)
@if EXIST "%SystemRoot%\System32\drivers\VBoxNetLwf.sys" del "%SystemRoot%\System32\drivers\VBoxNetLwf.sys"
@sc query vboxnetlwf>nul
@if not errorlevel 1 sc stop VBoxNetLwf
@sc query vboxnetlwf>nul
@if not errorlevel 1 sc delete VBoxNetLwf
@echo Finished
:end
@pause
